summaryrefslogtreecommitdiffstats
path: root/kubernetes/config/docker/init/src
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/config/docker/init/src')
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/aai-hbase-health.json21
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/mso-mariabdb.json15
-rwxr-xr-xkubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mso-mariadb-script.sh14
-rwxr-xr-xkubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh13
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json14
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-portal-health.json21
6 files changed, 98 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/aai-hbase-health.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/aai-hbase-health.json
new file mode 100644
index 0000000000..07828431fc
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/aai-hbase-health.json
@@ -0,0 +1,21 @@
+{
+ "service": {
+ "name": "A&AI HBase Health Check",
+ "checks": [
+ {
+ "id": "hbase-aai",
+ "name": "HBase Health Check",
+ "http": "http://hbase.onap-aai:8080/status/cluster",
+ "method": "GET",
+ "header": {
+ "Cache-Control": ["no-cache"],
+ "Content-Type": ["application/json"],
+ "Accept": ["application/json"]
+ },
+ "tls_skip_verify": true,
+ "interval": "15s",
+ "timeout": "1s"
+ }
+ ]
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mso-mariabdb.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mso-mariabdb.json
new file mode 100644
index 0000000000..710f4a8499
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mso-mariabdb.json
@@ -0,0 +1,15 @@
+{
+ "service": {
+ "name": "Health Check: MSO - MariaDb",
+ "checks": [
+ {
+ "id": "mso-mariadb",
+ "name": "MSO Mariadb Health Check",
+ "script": "/consul/config/scripts/mso-mariadb-script.sh",
+ "interval": "10s",
+ "timeout": "1s"
+ }
+ ]
+
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mso-mariadb-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mso-mariadb-script.sh
new file mode 100755
index 0000000000..84b22206e0
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mso-mariadb-script.sh
@@ -0,0 +1,14 @@
+NAME=$(/consul/config/bin/kubectl -n onap-mso get pod | grep -o "mariadb[^[:space:]]*")
+
+ if [ -n "$NAME" ]; then
+ if /consul/config/bin/kubectl -n onap-mso exec -it $NAME -- bash -c 'mysqladmin status -u root -p$MYSQL_ROOT_PASSWORD' > /dev/null; then
+ echo Success. mariadb process is running. 2>&1
+ exit 0
+ else
+ echo Failed. mariadb process is not running. 2>&1
+ exit 1
+ fi
+ else
+ echo Failed. mariadb container is offline. 2>&1
+ exit 1
+ fi
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh
new file mode 100755
index 0000000000..6bb07f80eb
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sdnc-dbhost-script.sh
@@ -0,0 +1,13 @@
+SDNC_DBHOST_POD=$(/consul/config/bin/kubectl -n onap-sdnc get pod | grep -o "sdnc-dbhost-[^[:space:]]*")
+if [ -n "$SDNC_DBHOST_POD" ]; then
+ if /consul/config/bin/kubectl -n onap-sdnc exec -it $SDNC_DBHOST_POD -- ./healthcheck.sh |grep -i "mysqld is alive"; then
+ echo Success. SDNC DBHost is running. 2>&1
+ exit 0
+ else
+ echo Failed. SDNC DBHost is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. SDNC DBHost is offline. 2>&1
+ exit 1
+fi
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json
new file mode 100644
index 0000000000..28d711b72f
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-dbhost.json
@@ -0,0 +1,14 @@
+{
+ "service": {
+ "name": "Health Check: SDNC - DB Host",
+ "checks": [
+ {
+ "id": "sdnc-dbhost-healthcheck",
+ "name": "SDNC DBHOST Health Check",
+ "script": "/consul/config/scripts/sdnc-dbhost-script.sh",
+ "interval": "10s",
+ "timeout": "1s"
+ }
+ ]
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-portal-health.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-portal-health.json
new file mode 100644
index 0000000000..3ecc1b3f53
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/sdnc-portal-health.json
@@ -0,0 +1,21 @@
+{
+ "service": {
+ "name": "Health Check: SDNC Portal",
+ "checks": [
+ {
+ "id": "sdnc-portal",
+ "name": "SDNC Portal Health Check",
+ "http": "http://sdnc-portal.onap-sdnc:8843/login",
+ "method": "HEAD",
+ "header": {
+ "Cache-Control": ["no-cache"],
+ "Content-Type": ["application/json"],
+ "Accept": ["application/json"]
+ },
+ "tls_skip_verify": true,
+ "interval": "15s",
+ "timeout": "1s"
+ }
+ ]
+ }
+}